<?php

/**
 *	Файл article.default.php - стандартный шаблон вывода статьи,
 *  загруженной по API ChiefRed.com
 *
 *	НЕ РЕДАКТИРУЙТЕ ЭТОТ ФАЙЛ!!!
 *
 *	При последующих обновлениях плагина он будет замещаться и все Ваши изменения пропадут.
 *	Создайте новый файл с именем article.php в той же папке, скопируйте в него содержимое
 *	этого файла и там уже вносите свои правки.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit;

if(isset($article->parent)) { ?>
    <div class="chiefred-article-parent">
        <span></span>
        <a href="<?php echo esc_url($article->parent->href); ?>"><?php echo sanitize_text_field($article->parent->title); ?></a>
    </div>
<?php } ?>

<?php if(isset($article->creators)) { ?>
    <div class="chiefred-article-creators">
        Материал подготовили:
        <?php foreach($article->creators as $name => $parts) { ?>
            <span title="<?php echo esc_attr($parts); ?>"><?php echo sanitize_text_field($name); ?></span>
        <?php } ?>
    </div>
<?php } ?>

<div class="chiefred-article-content">
    <?php echo wp_kses_post($article->content); ?>
</div>

<?php if(isset($article->childrens)) { ?>
    <?php foreach($article->childrens as $child) { ?>
        <div class="chiefred-article-child">
            <a href="<?php echo esc_url($child->href); ?>"><h2><?php echo sanitize_text_field($child->title); ?></h2></a>
            <?php echo wp_kses_post($child->excerpt); ?>
            <div class="chiefred-article-child-readmore">
                <a href="<?php echo esc_url($child->href); ?>">Подробнее</a>
            </div>
        </div>
    <?php } ?>
<?php } ?>

<?php if(isset($article->was_useful)) { ?>
    <div id="chiefred-was-usefull" data-href="<?php echo esc_url( get_rest_url('', 'chiefred/was_useful') ); ?>" data-article-id="<?php echo absint($article->id); ?>" data-nonce="<?php echo esc_attr(wp_create_nonce('wp_rest')); ?>">
        <div id="chiefred-wu-is">
            <div id="chiefred-wu-caption">Была ли наша статья полезной для Вас?</div>
            <div id="chiefred-wu-buttons">
                <input type="button" id="chiefred-bwu-yes" class="chiefred-btn" value="Да" />
                <input type="button" id="chiefred-bwu-no" class="chiefred-btn" value="Нет" />
                <input type="button" id="chiefred-bwu-error" class="chiefred-btn" value="Ошибка" />
            </div>
        </div>
        <div id="chiefred-pwu-yes"><div>Спасибо!</div></div>
        <div id="chiefred-pwu-no">
            <textarea id="chiefred-twu-no" placeholder="На какой вопрос Вы не смогли найти ответ?"></textarea>
            <div class="chiefred-wu-limit">Доступно <span id="chiefred-lwu-no"></span> символов <input type="button" id="chiefred-swu-no" class="chiefred-btn" value="Отправить" /></div>
        </div>
        <div id="chiefred-pwu-error">
            <textarea id="chiefred-twu-error" placeholder="Пожалуйста, скопируйте сюда содержащий ошибку текст и поясните ее суть."></textarea>
            <div class="chiefred-wu-limit">Доступно <span id="chiefred-lwu-error"></span> символов <input type="button" id="chiefred-swu-error" class="chiefred-btn" value="Отправить" /></div>
        </div>
    </div>
<?php } ?>
