<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<h1>Настройки взаимодействия с API v1 ChiefRed.com</h1>

<form id="chiefred-options" action="" method="POST">
    <input type="hidden" name="chiefred_action" value="save">
    <?php wp_nonce_field( 'wp_rest', 'chiefred_token' ); ?>

    <h2 style="margin: 2em 0 1em 0;">Настройки сайта для взаимодействия с Редакцией</h2>

    <table cellspacing="0" class="chiefred-options">
        <tr>
            <th>ID этого cайта в Редакции</th>
            <td class="devider" />
            <td class="option">
                <span class="site-id"><input id="site_id" name="site_id" type="text" value="<?php echo esc_attr( $site_id ); ?>" class="regular-text code" placeholder="номер"></span>
            </td>
        </tr>
        <tr>
            <th>IP-адрес сервера API</th>
            <td class="devider" />
            <td class="option">
                <span class="api-ip"><input id="api_ip" name="api_ip" type="text" value="<?php echo esc_attr( $api_ip ); ?>" class="regular-text code" placeholder="IPv4-адрес"></span>
            </td>
        </tr>
        <tr>
            <th>Порт API (Редакции)</th>
            <td class="devider" />
            <td class="option">
                <span class="api-port"><input id="api_port" name="api_port" type="text" value="<?php echo esc_attr( $api_port ); ?>" class="regular-text code" placeholder="5 цифр"></span>
            </td>
        </tr>
        <tr>
            <th>Секрет синхронизации</th>
            <td class="devider" />
            <td class="option">
                <span class="api-secret"><input id="api_secret" name="api_secret" type="text" value="<?php echo esc_attr( $api_secret ); ?>" class="regular-text code" placeholder="до 64 знаков: a-zA-Z0-9"></span>
            </td>
        </tr>
    </table>

    <h2 style="margin: 2em 0 1em 0;">Реквизиты данного сайта для настройки Редакции</h2>

    <table cellspacing="0" class="chiefred-options">
        <tr>
            <th>IP-адрес сервера этого cайта</th>
            <td class="devider" />
            <td class="option">
                <span class="site-id"><input id="site_ip" name="site_ip" type="text" value="<?php echo esc_attr( $_SERVER['SERVER_ADDR'] ); ?>" class="regular-text code" readonly="readonly"></span>
            </td>
        </tr>
        <tr>
            <th>Скрипт канонического URL статьи</th>
            <td class="devider" />
            <td class="option">
                <span class="canonical_script_url"><input id="canonical_script_url" name="canonical_script_url" type="text" value="<?php echo esc_url( get_rest_url('', 'chiefred/canonical') ); ?>" class="regular-text code" readonly="readonly"></span>
            </td>
        </tr>
        <tr>
            <th>Скрипт сброса флага задержки</th>
            <td class="devider" />
            <td class="option">
                <span class="site-id"><input id="sync_script_url" name="sync_script_url" type="text" value="<?php echo esc_url( get_rest_url('', 'chiefred/sync') ); ?>" class="regular-text code" readonly="readonly"></span>
            </td>
        </tr>
    </table>

    <h2 style="margin: 2em 0 1em 0;">Параметры отображения статей</h2>

    <table cellspacing="0" class="chiefred-options">
        <tr>
            <th>Ссылка на статью-родителя</th>
            <td class="devider" />
            <td class="option">
                <select name="article_parent_link">
                    <option value="0"<?php echo (0 == $article_parent_link)?' selected':'' ?>>Не добавлять</option>
                    <option value="1"<?php echo (1 == $article_parent_link)?' selected':'' ?>>Добавить</option>
                </select>
            </td>
        </tr>
        <tr>
            <th>Подписи авторов</th>
            <td class="devider" />
            <td class="option">
                <select name="article_creators">
                    <option value="0"<?php echo (0 == $article_creators)?' selected':'' ?>>Не добавлять</option>
                    <option value="1"<?php echo (1 == $article_creators)?' selected':'' ?>>Добавить</option>
                </select>
            </td>
        </tr>
        <tr>
            <th>Анонсы дочерних статей</th>
            <td class="devider" />
            <td class="option">
                <select name="article_childrens">
                    <option value="0"<?php echo (0 == $article_childrens)?' selected':'' ?>>Не добавлять</option>
                    <option value="1"<?php echo (1 == $article_childrens)?' selected':'' ?>>Добавить</option>
                </select>
            </td>
        </tr>
        <tr>
            <th>Форма &laquo;Была ли статья полезна?&raquo;</th>
            <td class="devider" />
            <td class="option">
                <select name="article_was_useful">
                    <option value="0"<?php echo (0 == $article_was_useful)?' selected':'' ?>>Не добавлять</option>
                    <option value="1"<?php echo (1 == $article_was_useful)?' selected':'' ?>>Добавить</option>
                </select>
            </td>
        </tr>
    </table>


    <h2 style="margin: 2em 0 1em 0;">Параметры отображения иллюстраций</h2>

    <table cellspacing="0" class="chiefred-options">
        <tr>
            <th>Размер иллюстраций в тексте</th>
            <td class="devider" />
            <td class="option">
                <select name="illustration_size">
                    <?php
                        foreach ($image_sizes as $size_name => $size) {
                            if ($size['width'] <= 800) echo '<option value="' . esc_attr($size_name) . '"' . (($size_name == $illustration_size)?' selected':'') . '>' . esc_attr($size['nname']) . ' (ширина ' . absint($size['width']) . ' пикселей)</option>';
                        }
                    ?>
                </select>
            </td>
        </tr>
        <tr>
            <th>CLASS тега IMG иллюстрации</th>
            <td class="devider" />
            <td class="option">
                <input id="illustration_class" name="illustration_class" type="text" value="<?php echo sanitize_html_class( $illustration_class ); ?>" />
            </td>
        </tr>
        <tr>
            <th>Ссылка на полный размер</th>
            <td class="devider" />
            <td class="option">
                <select name="illustration_link">
                    <option value="0"<?php echo (0 == $illustration_link)?' selected':'' ?>>Не добавлять</option>
                    <option value="1"<?php echo (1 == $illustration_link)?' selected':'' ?>>Добавить</option>
                </select>
            </td>
        </tr>
        <tr>
            <th>CLASS тега A ссылки</th>
            <td class="devider" />
            <td class="option">
                <input id="illustration_link_class" name="illustration_link_class" type="text" value="<?php echo sanitize_html_class( $illustration_link_class ); ?>" />
            </td>
        </tr>
        <tr>
            <th>REL тега A ссылки</th>
            <td class="devider" />
            <td class="option">
                <input id="illustration_link_rel" name="illustration_link_rel" type="text" value="<?php echo sanitize_html_class( $illustration_link_rel ); ?>" />
            </td>
        </tr>
        <tr>
            <th>TARGET тега A ссылки</th>
            <td class="devider" />
            <td class="option">
                <input id="illustration_link_target" name="illustration_link_target" type="text" value="<?php echo sanitize_html_class( $illustration_link_target ); ?>" />
            </td>
        </tr>
    </table>

    <input class="button button-primary chiefred-options-save-btn" value="Сохранить изменения" type="button">
    <b id="options-changed">Настройки были изменены!</b>


    <div class="utils">
        <h1 style="margin: 2em 0 1em 0;">Утилиты</h1>

        <?php if ($site_id && $api_ip && $api_port && $api_secret) { ?>
        <input class="button chiefred-synchronize-btn" value="Выполнить синхронизацию" type="button" title="Инициировать внеплановый сеанс синхронизации сайта с Редакцией. Не следует вызывать чаще чем один раз в 5 минут. Редакция может отклонить слишком частые запросы.">
        <input class="button chiefred-clear-synchronize-btn" value="Остановить синхронизацию" type="button" title="Отменить следующую инициированную внеплановую синхронизацию (сеансы могут назначаться сами, с интервалом в 5 минут, если в Редакции еще остался готовый, но неопубликованный контент). Не влияет на плановую синхронизацию, выполняемую каждые 4 часа.">
        <?php } ?>

        <a class="button thickbox chiefred-synchronize-log-btn" href="#TB_inline?width=600&height=650&inlineId=chiefred-synchronize-log">Журнал последней синхронизации</a>
    </div>

</form>

<?php add_thickbox(); ?>
<div id="chiefred-synchronize-log" style="display:none;">
    <p>Загрузка...</p>
</div>
